Bug 468619 - EVDEV driver doesn't work properly with CTRL key
EVDEV driver doesn't work properly with CTRL key
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 15:38 EDT by Tomasz Sałaciński
Modified: 2009-11-18 15:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 15:37:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My xorg.conf file (1.06 KB, application/octet-stream)
2008-10-26 18:44 EDT, Tomasz Sałaciński
no flags Details
XORG log file no. 0 (17.79 KB, text/plain)
2008-10-26 18:44 EDT, Tomasz Sałaciński
no flags Details
XORG log file no. 1 (5.38 KB, application/octet-stream)
2008-10-26 18:45 EDT, Tomasz Sałaciński
no flags Details
XORG logs collected without xorg.conf file (58.75 KB, application/octet-stream)
2008-10-26 18:55 EDT, Tomasz Sałaciński
no flags Details
Requested gconftool output (723 bytes, text/plain)
2008-10-27 11:54 EDT, Tomasz Sałaciński
no flags Details
Requested file (56.69 KB, text/plain)
2008-10-27 13:44 EDT, Tomasz Sałaciński
no flags Details

  None (edit)
Description Tomasz Sałaciński 2008-10-26 15:38:37 EDT
Description of problem:
Behaviour of left and right control keys is different with evdev driver. When using xev tool and pressing left ctrl, it notices only one key press. When pressing right ctrl key, it shows a lot of keypresses.

It prevents users from selecting multiple files in Nautilus with right control key (rubber band disappears after few secs, like the ctrl was released).

PS. I am not sure for 100% if this is evdev driver that I am using. If someone wants, I can post my xorg.conf file.

Version-Release number of selected component (if applicable):
Don't know.

How reproducible:
Press ctrl and try to select files.

Steps to Reproduce:
1. Use EVDEV driver
2. Press right CTRL
3. Try to select multiple files. Watch when rubber band disappears.
  
Actual results:
Rubber band disappears.

Expected results:
Rubber band should stay on the screen.

Additional info:
Comment 1 Matěj Cepl 2008-10-26 18:05:32 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tomasz Sałaciński 2008-10-26 18:44:17 EDT
Created attachment 321562 [details]
My xorg.conf file

Hi, attaching files as requested.
Comment 3 Tomasz Sałaciński 2008-10-26 18:44:53 EDT
Created attachment 321563 [details]
XORG log file no. 0
Comment 4 Tomasz Sałaciński 2008-10-26 18:45:26 EDT
Created attachment 321564 [details]
XORG log file no. 1
Comment 5 Tomasz Sałaciński 2008-10-26 18:45:52 EDT
By the way, I am using PS/2 keyboard.
Comment 6 Tomasz Sałaciński 2008-10-26 18:52:23 EDT
And I've tested without xorg.conf file. It still happens.

But I've noticed one thing: I can't reproduce it, right after logging in. It starts to happen when I open a window (like Nautilus window or Firefox). I am not sure though, because it might be triggered by libnotify popup from Network Manager (the one that says that it's connected).

And, xev still produces a lot of output while holding right control key. Left control key works properly.
Comment 7 Tomasz Sałaciński 2008-10-26 18:55:28 EDT
Created attachment 321565 [details]
XORG logs collected without xorg.conf file

Forgot to add this attachment, sorry.
Comment 8 Peter Hutterer 2008-10-26 23:36:50 EDT
Just tested this on my box and I can confirm it. However, this isn't a server/driver issue. A plain X server with xterm doesn't repeat either key, but starting gnome-session triggers the bug.

I presume that loading the keyboard setting in gnome sets the per_key_repeat flag wrong. Reassigning to control-center.
Comment 9 Tomasz Sałaciński 2008-10-27 06:42:19 EDT
Should I post it to GNOME bugzilla then? I can't test with other distros, since I am using only Fedora.
Comment 10 Ray Strode [halfline] 2008-10-27 11:28:33 EDT
can you attach the output of

gconftool-2 -R /desktop/gnome/peripherals/keyboard

?
Comment 11 Tomasz Sałaciński 2008-10-27 11:54:08 EDT
Created attachment 321623 [details]
Requested gconftool output

Certainly.
Comment 12 Ray Strode [halfline] 2008-10-27 13:06:26 EDT
One more thing, can you attach the output of:

xkbcomp :0 -xkb out.xkb

?
Comment 13 Ray Strode [halfline] 2008-10-27 13:07:38 EDT
Also, I assume right ctrl stops repeating if you disable key repeat for all keys using gnome-keyboard-properties?
Comment 14 Tomasz Sałaciński 2008-10-27 13:44:02 EDT
Created attachment 321633 [details]
Requested file

Here is the output.

And, yes - disabling key repeating in gnome-keyboard-properties stops right control from repeating.
Comment 15 Bug Zapper 2008-11-25 23:16:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-11-18 03:38:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Tomasz Sałaciński 2009-11-18 15:37:49 EST
This bug was fixed in Fedora 11, as I remember. In Fedora 12 - it works perfectly. I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.